EUCA-GENERATE-ENVIRONMENT-CONFIG(1)

NAME
euca-generate-environment-config - Read environment variables and euca2ools.ini(5) files to discover the service URLs and credentials for a region, then output shellcode with the corresponding environment variables for that information. This output will contain secret access keys and should be treated with care.

SYNOPSIS
euca-generate-environment-config [--simple] [-I KEY_ID] [-S KEY]

[--security-token TOKEN]
    [--region USER@REGION] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Read environment variables and euca2ools.ini(5) files to discover the service URLs and credentials for a region, then output shellcode with the corresponding environment variables for that information. This output will contain secret access keys and should be treated with care.

  optional arguments:

--simple
    use a simpler output format intended for consumption by scripts

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--region USER@REGION
    region and/or user names to search when looking up config file data

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit